import sys
forge = sys.modules["forge"]

def setup(module):
	srcList = [	"operator.pmh",
				"BloatOp",
				"ClaspOp",
				"ConnectOp",
				"CurveCreateOp",
				"ExcarnateOp",
				"FollicleOp",
				"GroupOp",
				"HammerOp",
				"HobbleOp",
				"ImportOp",
				"LengthCorrectOp",
				"OffsetOp",
				"PartitionOp",
				"PuppetOp",
				"QuiltOp",
				"RasterOp",
				"SpreadsheetOp",
				"SubdivideOp",
				"SurfaceAttrCopyOp",
				"SurfaceAttrCreateOp",
				"SurfaceAttrLabOp",
				"SurfaceBindOp",
				"SurfaceCopyOp",
				"SurfaceMetricOp",
				"SurfaceNormalOp",
				"SurfaceSampleOp",
				"SurfaceSummaryOp",
				"SurfaceWrapOp",
				"TransformManipulator",
				"ValueManipulator",
				"operatorDL" ]

	dll = module.DLL( "fexOperatorDL", srcList )

	deplibs = forge.corelibs+ [
				"fexGeometryDLLib",
				"fexMathLib",
				"fexOperateDLLib",
				"fexSurfaceDLLib",
				"fexWindowLib"	]

	forge.deps( ["fexOperatorDLLib"], deplibs )

	forge.tests += [
		("inspect.exe",	"fexOperatorDL",					None,	None) ]

	module.Module('test')
